%define name    eboard
%define version 0.9.5
%define release 2mdk
%define summary FICS chess-server interface
%define _gamesbindir %_prefix/games
%define _gamesdatadir %_datadir/games

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Games/Boards
URL:            http://eboard.sf.net
Source0:        %name-%version.tar.bz2
Source1:        %name-icons.tar.bz2
Source2:	%name-extras-1pl2.tar.bz2
Source3:	%name-extras-2.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:  gtk-devel >= 1.2.10 imlib-devel


%description

eboard is a chess interface for Unix-like systems (GNU/Linux, FreeBSD,
Solaris, etc.) based on the GTK+ GUI toolkit.  It provides a chess
board interface to ICS (Internet Chess Servers) like FICS and to chess
engines like GNU Chess, Sjeng and Crafty.


%prep

%setup -q
%setup -q -T -D -a1
%setup -q -T -D -a2
%setup -q -T -D -a3


%build
%configure

# o_O
%__sed -i 's/-O6/%optflags/' Makefile
%__sed -i 's,/usr/share,%_gamesdatadir,' config.h


%make bindir=%_gamesbindir \
      datadir=%_gamesdatadir/%name

# Add the additional themes to the configurationfile
%__cat %name-extras-1pl2/extras1.conf >> %{name}_themes.conf
%__cat %name-extras-2/extras2.conf    >> %{name}_themes.conf

%install
%__rm -rf %buildroot/
%makeinstall bindir=%buildroot/%_gamesbindir \
             datadir=%buildroot/%_gamesdatadir/%name

# Menu
%__install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_gamesbindir/%name" \
needs="X11" \
icon="%name.png" \
section="Amusement/Boards" \
title="Eboard" \
longtitle="%summary"
EOF

# Icons
%__install -D %name-48x48.png %buildroot/%_liconsdir/%name.png
%__install -D %name-32x32.png %buildroot/%_iconsdir/%name.png
%__install -D %name-16x16.png %buildroot/%_miconsdir/%name.png

# extras
%__install -d %buildroot/%_gamesdatadir/%name
%__install %name-extras-*/*.{png,wav} %buildroot/%_gamesdatadir/%name


%post
%update_menus

%postun
%clean_menus


%clean
%__rm -rf %buildroot


%files
%defattr(0755,root,root,0755)
%_gamesbindir/*
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING README ChangeLog TODO Documentation/*
%_gamesdatadir/%name/*
%dir %_gamesdatadir/%name
%_mandir/man1/*
%_mandir/man6/*
%_menudir/*
%_iconsdir/*


%changelog
* Wed Jan 14 2004 Franck Villaume <fvill@freesurf.fr> 0.9.5-2mdk
- BuildRequires imlib-devel

* Fri Dec 12 2003 Han Boetes <han@klama.mandrake.org> 0.9.5-1mdk
- Bump and cleanups

* Sun Aug  3 2003 Han Boetes <han@linux-mandrake.com> 0.9.0-2mdk
- cleanups.
- added second extra package
- Themes are now really used.

* Wed Jul  9 2003 Han Boetes <han@linux-mandrake.com> 0.9.0-1mdk
- bump

* Mon Jul  7 2003 Han Boetes <han@linux-mandrake.com> 0.8.0-4mdk
- forgot the datadir

* Mon Jul  7 2003 Han Boetes <han@linux-mandrake.com> 0.8.0-3mdk
- fix bug http://qa.mandrakesoft.com/show_bug.cgi?id=4153
- 1. e4 e5 2. f4 f6 3. fxe5 Nc6 4. Nf3 fxe5 5. Bc4 d6 6. O-O Bg4 7.
  Bf7+ Kxf7 8. Ng5+ Ke8 9. Qxg4 Nf6 10. Rxf6 gxf6 11. Qh5+ Kd7 12. Qg4+
  Ke7 13. Qe6#

* Fri May 23 2003 Han Boetes <han@linux-mandrake.com> 0.8.0-2mdk
- Add dir entry to make Oliviers bot happy.
- Delete trailing whitespace. Emacs powah!

* Thu Feb 20 2003 Han Boetes <han@linux-mandrake.com> 0.8.0-1mdk
- Bump to new release

* Wed Feb  5 2003 Han Boetes <han@linux-mandrake.com> 0.7.1-0.pl2mdk
- Removed timeseal again.
- Clean-ups.
- Added extras.

* Thu Jan 23 2003 Han Boetes <han@linux-mandrake.com> 0.7.1-0.pl1mdk
- Just a prerelease. See what happens.

* Sun Jan 12 2003 Han Boetes <han@linux-mandrake.com> 0.7.0-2mdk
- Added FICS timeseal

* Thu Dec 26 2002 Han Boetes <han@linux-mandrake.com> 0.7.0-1mdk
- Initial release for mandrake
